# Generated from como-0.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name como

Name: rubygem-%{gem_name}
Version: 0.2.4
Release: 1%{?dist}
Summary: Compact command line option parser utility
License: Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
Como provides low manifest command line option parsing and deployment. The
command line options are described in compact table format and option values
are stored to conveniently named properties. Como builds command usage
information based on the option
table (+ generic program info) and displays it automatically if necessary.
Como supports also subcommands and checking for option combinations using a
simple DSL.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/doc
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2.4-1
- Initial package
